Subject: bug#43081: diffutils always referrers to the native coreutils

From: Ludovic Courtès <[email-masked]>
Date: Mon, 31 Aug 2020 14:00:43 +0200

Hi,

Mathieu Othacehe <[email-masked]> skribis:

>> Do you know which acl is fixing (commencement.scm vs. acl.scm)?
>
> Yes it's the acl that is rooted in the bootstrap toolchain. Here's the
> full build log attached. I'm also cc-ing janneke which has some
> experience in that matter :).

Yes, now that you mention it, I remember janneke and I looking at a
similar LD_PRELOAD issue in Marrakesh last December.  :-)

> [24] $ setfacl -m u:bin:rx /test -- failed
> ERROR: ld.so: object '/tmp/guix-build-acl-2.2.53.drv-0/acl-2.2.53/.libs/libtestlookup.so' from LD_PRELOAD cannot be preloaded: ignored. != ~

Does that ring a bell, janneke?

Ludo’.